
%global meadversion 5.2.5
%global namedversion 5.2.5.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead
%bcond_with extras

%{?scl:%scl_package %{?scl_prefix}hibernate-validator}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.2.5.Final-redhat-2

Name:           %{?scl_prefix}hibernate-validator
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Hibernate Validator Engine
Group:          Development/Java

%if %with mead
Source100: hibernate-validator-parent-5.2.5.Final-redhat-2-scm-sources.zip
Source102: hibernate-validator-tck-runner-5.2.5.Final-redhat-2-sources.jar
Source103: hibernate-validator-tck-runner-5.2.5.Final-redhat-2.jar
Source104: hibernate-validator-tck-runner-5.2.5.Final-redhat-2.pom
Source105: hibernate-validator-osgi-karaf-features-5.2.5.Final-redhat-2.pom
Source106: hibernate-validator-osgi-karaf-features-5.2.5.Final-redhat-2-features.xml
Source107: hibernate-validator-parent-5.2.5.Final-redhat-2.pom
Source108: hibernate-validator-parent-5.2.5.Final-redhat-2-project-sources.tar.gz
Source109: hibernate-validator-osgi-5.2.5.Final-redhat-2.pom
Source110: hibernate-validator-osgi-integrationtest-5.2.5.Final-redhat-2.pom
Source111: hibernate-validator-osgi-integrationtest-5.2.5.Final-redhat-2.jar
Source112: hibernate-validator-test-utils-5.2.5.Final-redhat-2.jar
Source113: hibernate-validator-test-utils-5.2.5.Final-redhat-2-sources.jar
Source114: hibernate-validator-test-utils-5.2.5.Final-redhat-2.pom
Source115: hibernate-validator-performance-5.2.5.Final-redhat-2-sources.jar
Source116: hibernate-validator-performance-5.2.5.Final-redhat-2.jar
Source117: hibernate-validator-performance-5.2.5.Final-redhat-2.pom
Source118: hibernate-validator-5.2.5.Final-redhat-2-sources.jar
Source119: hibernate-validator-5.2.5.Final-redhat-2.jar
Source120: hibernate-validator-5.2.5.Final-redhat-2.pom
Source121: hibernate-validator-cdi-5.2.5.Final-redhat-2.pom
Source122: hibernate-validator-cdi-5.2.5.Final-redhat-2-sources.jar
Source123: hibernate-validator-cdi-5.2.5.Final-redhat-2.jar
Source124: hibernate-validator-integrationtest-wildfly-5.2.5.Final-redhat-2-sources.jar
Source125: hibernate-validator-integrationtest-wildfly-5.2.5.Final-redhat-2.pom
Source126: hibernate-validator-integrationtest-wildfly-5.2.5.Final-redhat-2.jar
Source127: hibernate-validator-engine-jdk8-tests-5.2.5.Final-redhat-2.pom
Source128: hibernate-validator-engine-jdk8-tests-5.2.5.Final-redhat-2.jar
Source129: hibernate-validator-annotation-processor-5.2.5.Final-redhat-2.pom
Source130: hibernate-validator-annotation-processor-5.2.5.Final-redhat-2.jar
Source131: hibernate-validator-annotation-processor-5.2.5.Final-redhat-2-sources.jar
Source132: hibernate-validator-documentation-5.2.5.Final-redhat-2.jar
Source133: hibernate-validator-documentation-5.2.5.Final-redhat-2.pom
%endif

License:        ASL 2.0
URL:            http://hibernate.org/validator
Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.2.1
Requires:       %{?scl_prefix_eap}classmate >= 0:1.1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Hibernate's Bean Validation (JSR-303) reference implementation.

%if %with extras
%package -n %{?scl_prefix}hibernate-validator-test-utils
Summary:        Hibernate Validator Test Utils
Group:          Development/Java

Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0.Final

%description -n %{?scl_prefix}hibernate-validator-test-utils
%{summary}.

%package -n %{?scl_prefix}hibernate-validator-engine-jdk8-tests
Summary:        Hibernate Validator Engine JDK 1.8 Tests
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-engine-jdk8-tests
Keeps the Java 8 based tests in a separate module for IDE purposes. They
cannot handle modules with different source and target language levels
between production and search code. This module is temporary until the whole
code base moves to Java 8 or the IDEs allow for a split setup.
%endif

%package -n %{?scl_prefix}hibernate-validator-cdi
Summary:        Hibernate Validator Portable Extension
Group:          Development/Java

Requires:       %{?scl_prefix_eap}hibernate-validator >= 0:5.2.0

%description -n %{?scl_prefix}hibernate-validator-cdi
Hibernate Validator CDI Portable Extension.

%if %with extras
%package -n %{?scl_prefix}hibernate-validator-tck-runner
Summary:        Hibernate Validator TCK Runner
Group:          Development/Java

Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0.Final
Requires:       %{?scl_prefix_eap}hibernate-validator >= 0:5.2.0
Requires:       %{?scl_prefix_eap}hibernate-validator-cdi >= 0:5.2.0
Requires:       %{?scl_prefix_eap}javax.el-api >= 0:2.2.4
Requires:       %{?scl_prefix_eap}javax.el >= 0:2.2.4
Requires:       %{?scl_prefix_eap}testng >= 0:6.8
Requires:       %{?scl_prefix_eap}beanvalidation-tck-tests >= 0:1.1.4.Final

%description -n %{?scl_prefix}hibernate-validator-tck-runner
Aggregates dependencies and runs the JSR-349 TCK.

%package -n %{?scl_prefix}hibernate-validator-integrationtest-wildfly
Summary:        Hibernate Validator Wildfly Integration Tests
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-integrationtest-wildfly
Hibernate Validator integration tests.

%package -n %{?scl_prefix}hibernate-validator-annotation-processor
Summary:        Hibernate Validator Annotation Processor
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-annotation-processor
%{summary}.

%package -n %{?scl_prefix}hibernate-validator-performance
Summary:        Hibernate Validator Performance Tests
Group:          Development/Java

Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0.Final
Requires:       %{?scl_prefix_eap}junit >= 0:4.11

%description -n %{?scl_prefix}hibernate-validator-performance
Hibernate Validator performance tests.

%package -n %{?scl_prefix}hibernate-validator-osgi
Summary:        Hibernate Validator OSGi Modules
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-osgi
Hibernate Validator OSGi modules aggregator.

%package -n %{?scl_prefix}hibernate-validator-osgi-karaf-features
Summary:        Hibernate Validator Karaf Features
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-osgi-karaf-features
Hibernate Validator features for Apache Karaf.

%package -n %{?scl_prefix}hibernate-validator-osgi-integrationtest
Summary:        Hibernate Validator OSGi integration test
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-validator-osgi-integrationtest
Hibernate Validator OSGi integration test using Apache Karaf.
%endif

%if %with javadoc
%package javadoc
Summary:        Javadoc for hibernate-validator
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hibernate-validator -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %with extras
%{__cp} -p %{_sourcedir}/hibernate-validator-test-utils-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-test-utils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-test-utils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-test-utils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-test-utils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-test-utils-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/hibernate-validator-engine-jdk8-tests-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-cdi-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-cdi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-cdi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-cdi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-cdi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-cdi-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/hibernate-validator-tck-runner-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-tck-runner-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-tck-runner-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-tck-runner-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-tck-runner-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-tck-runner-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-validator-integrationtest-wildfly-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-validator-annotation-processor-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-annotation-processor-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-annotation-processor-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-validator-performance-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-performance-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-performance-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-performance-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-performance-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-performance-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-validator-osgi-integrationtest-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-validator-osgi-integrationtest-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-validator-osgi-integrationtest-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-validator
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-validator-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-validator-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-validator-%{namedversion} %{buildroot}%{_javadocdir}/hibernate-validator
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.txt CONTRIBUTING.md copyright.txt license.txt README.md
%{_javadir}/hibernate-validator-%{namedversion}.jar
%{_javadir}/hibernate-validator.jar
%if %with javadoc
%{_javadir}/hibernate-validator-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-javadoc.jar
%endif
%{_javadir}/hibernate-validator-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-sources.jar

%if %with extras
%files -n %{?scl_prefix}hibernate-validator-test-utils
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-test-utils-%{namedversion}.jar
%{_javadir}/hibernate-validator-test-utils.jar
%if %with javadoc
%{_javadir}/hibernate-validator-test-utils-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-test-utils-javadoc.jar
%endif
%{_javadir}/hibernate-validator-test-utils-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-test-utils-sources.jar

%files -n %{?scl_prefix}hibernate-validator-engine-jdk8-tests
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}.jar
%{_javadir}/hibernate-validator-engine-jdk8-tests.jar
%if %with javadoc
%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-engine-jdk8-tests-javadoc.jar
%endif
%{_javadir}/hibernate-validator-engine-jdk8-tests-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-engine-jdk8-tests-sources.jar
%endif

%files -n %{?scl_prefix}hibernate-validator-cdi
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-cdi-%{namedversion}.jar
%{_javadir}/hibernate-validator-cdi.jar
%if %with javadoc
%{_javadir}/hibernate-validator-cdi-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-cdi-javadoc.jar
%endif
%{_javadir}/hibernate-validator-cdi-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-cdi-sources.jar

%if %with extras
%files -n %{?scl_prefix}hibernate-validator-tck-runner
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-tck-runner-%{namedversion}.jar
%{_javadir}/hibernate-validator-tck-runner.jar
%if %with javadoc
%{_javadir}/hibernate-validator-tck-runner-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-tck-runner-javadoc.jar
%endif
%{_javadir}/hibernate-validator-tck-runner-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-tck-runner-sources.jar

%files -n %{?scl_prefix}hibernate-validator-integrationtest-wildfly
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}.jar
%{_javadir}/hibernate-validator-integrationtest-wildfly.jar
%if %with javadoc
%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-integrationtest-wildfly-javadoc.jar
%endif
%{_javadir}/hibernate-validator-integrationtest-wildfly-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-integrationtest-wildfly-sources.jar

%files -n %{?scl_prefix}hibernate-validator-annotation-processor
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}.jar
%{_javadir}/hibernate-validator-annotation-processor.jar
%if %with javadoc
%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-annotation-processor-javadoc.jar
%endif
%{_javadir}/hibernate-validator-annotation-processor-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-annotation-processor-sources.jar

%files -n %{?scl_prefix}hibernate-validator-performance

%files -n %{?scl_prefix}hibernate-validator-osgi
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}hibernate-validator-osgi-karaf-features
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-performance-%{namedversion}.jar
%{_javadir}/hibernate-validator-performance.jar
%if %with javadoc
%{_javadir}/hibernate-validator-performance-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-performance-javadoc.jar
%endif
%{_javadir}/hibernate-validator-performance-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-performance-sources.jar

%files -n %{?scl_prefix}hibernate-validator-osgi-integrationtest
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}.jar
%{_javadir}/hibernate-validator-osgi-integrationtest.jar
%if %with javadoc
%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-validator-osgi-integrationtest-javadoc.jar
%endif
%{_javadir}/hibernate-validator-osgi-integrationtest-%{namedversion}-sources.jar
%{_javadir}/hibernate-validator-osgi-integrationtest-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-validator-%{namedversion}
%{_javadocdir}/hibernate-validator
%endif

%changelog
* Mon Aug 14 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.2.5-2.Final_redhat_2.1
- [JBEAP-12258] CVE-2017-7536

* Thu Mar 30 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.2.5-1.Final_redhat_1.1
- Upgrade to 5.2.5.Final

* Mon Feb 22 2016 Petr Sakar <psakar@redhat.com> - 5.2.4-1.Final_redhat_1.1
- upgrade to 5.2.4.Final-redhat-1

* Thu Jan 28 2016 Petr Sakar <psakar@redhat.com> - 5.2.3-1.Final_redhat_1.1
- Upgrade to 5.2.3.Final-redhat-1

* Thu Jan 28 2016 Petr Sakar <psakar@redhat.com> - 5.2.2-4.Final_redhat_3.1
- Upgrade to 5.2.3.Final-redhat-1

* Wed Nov 11 2015 David Walluck <dwalluck@redhat.com> - 5.2.2-2.Final_redhat_1.1
- build with JavaFX support

* Thu Oct 08 2015 David Walluck <dwalluck@redhat.com> - 5.2.2-1.Final_redhat_1.1
- 5.2.2.Final

* Thu Aug 13 2015 David Walluck <dwalluck@redhat.com> - 5.2.1-2.Final_redhat_1.1
- deploy all modules (for MEAD)

* Sun Aug 09 2015 Yong Yang <yyang@redhat.com> - 5.2.1-1.Final.1
- Rebuild

* Fri Aug 07 2015 Yong Yang <yyang@redhat.com> - 5.2.1-1.Final_redhat_1.1
- 5.2.1.Final for EAP7

* Wed Dec 24 2014 Yong Yang <yyang@redhat.com> - 4.3.2-2.Final_redhat_2.1
- Rebuild wrapper

* Mon Aug 11 2014 David Stahl <dstahl@redhat.com> - 4.3.2-1.Final_redhat_1.2
- [BZ-1126480] Upgrade hibernate-validator to 4.3.2.Final-redhat-1

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 4.3.1-2.Final_redhat_1.1
- Build for standard release tag
- Use same source for REL-7 wrapper

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 4.3.1-2.Final_redhat_1.1
- Build for standard release tag
- Use same source for REL-7 wrapper

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 4.3.1-2.Final_redhat_1.1
- Build for standard release tag
- Use same source for REL-7 wrapper

* Mon Mar 25 2013 Dave Stahl <dstahl@redhat.com> - 0:4.3.1-1.Final_redhat_1.1.5
- Update to 4.3.1-Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-7.Final_redhat_2.1.4
- Rebuild for MD5

* Fri Aug 17 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.2.0-6.Final_redhat_2.1.4
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-5.Final_redhat_2.1.4
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-5.Final_redhat_1.1.3
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-5.Final_redhat_1.1.2
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-5.Final_redhat_1.1.1
- Rebuild for RHEL-5

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.2.0-4.Final_redhat_1.1.1
- Rebuild using cache signing

* Fri Mar 23 2012 Hui Wang <huwang@redhat.com> 0:4.2.0-4.Final_redhat_1.1
- New Wrapper
- Fix installation path
- Fix release tag

* Thu Jan 19 2012 David Walluck <dwalluck@redhat.com> 0:4.2.0-3
- remove range from joda-time version (for Brew maven 2.x)
- fix requires for maven scriptlets
- fix duplicate ownership of %%{_mavenpomdir}
- fix main and sources file list
- change default file permissions

* Fri Nov 11 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.2.0-2_redhat_1
- [JBPAPP-7509] Remove references to JBoss Repository in parent pom

* Mon Sep 12 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.2.0-1_redhat_1
- Upgrade to 4.2.0.Final
- Build for Werewolf

* Thu Sep 08 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.1.0-2_redhat_1
- Build for Werewolf
- Removed non-MEAD stuff from spec file
- Included regular javadoc and sources RPMs

* Mon Jun 27 2011 Strong Liu <stliu@redhat.com> - 0:4.1.0-1.1.Final
- BR maven-shade-plugin

* Wed Jun 22 2011 Strong Liu <stliu@redhat.com> = 0:4.1.0-1.0.Final
- Upgrade to 4.1.0.Final

* Sat Feb 12 2011 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.5.GA_CP04
- Upgrade to 3.4.0.GA_CP04
- Remove upgrade-core.patch

* Sat Feb 12 2011 Strong Liu <stliu@redhat.com> -0:3.4.0-3.4.GA_CP03
- Update c-i.xml to include Hibernate Core 3.3.2.GA_CP04
- Add patch to workaround the bad encoding error

* Wed Jan 05 2011 Hui Wang <huwang@redhat.com> - 0:3.4.0-3.3.GA_CP03
- Fix repolib

* Wed Jan 05 2011 Hui Wang <huwang@redhat.com> - 0:3.4.0-3.2.GA_CP03
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin

* Sat Jul 24 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.1.GA_CP03
- Upgrade to 3.4.0.GA_CP03
- Remove BR jta_1_1_api
- Add BR jboss-transaction-1.0.1-api

* Thu Jun 03 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-3.0.GA_CP02
- Correct Release Number

* Tue May 25 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.4.GA_CP02
- Correct tag version in component-info.xml

* Fri May 21 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.3.GA_CP02
- Correct compatible file

* Fri May 21 2010 Strong Liu <stliu@redhat.com> = 0:3.4.0-1.2.GA_CP02
- Update source tarball of 3.4.0.GA_CP02

* Wed May 19 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.1.GA_CP02
- Add dist package

* Wed May 19 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.0.GA_CP02
- Upgrade to 3.4.0.GA_CP02

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.4.0-2.1.GA_CP01
- Rebuild

* Fri Jan 29 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-2.0.GA_CP01
- Add pom to repolib

* Fri Jan 22 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.9.GA_CP01
- Rebuild in brew

* Thu Jan 21 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.8.GA_CP01
- Remove java doc zip
- Update patch to remove javadoc offline section

* Wed Jan 20 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.7.GA_CP01
- Rebuild to use the new source tarball
* Sun Jan 17 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.6.GA_CP01
- Update release tag to rebuild in brew
* Sat Jan 16 2010 Strong Liu <stliu@redhat.com> - 0:3.4.0-1.5.GA_CP01
- Update release tag to include GA_CP01
* Thu Jan 14 2010 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.4
- Enable maven2-plugin-source plugin
- Clean the source tarball, remove svn metadata file

* Thu Jan 14 2010 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.3
- Upgrade Hibernate Annotations to 3.4.0.GA_CP01
- Rremove hibernate3-serializableToBlobType.java.patch
- Update hibernate-annotations-component-info.xml, this version of Annotation does not compatible with Core 3.3.2.GA, but 3.3.2.GA_CP01
- Update hibernate-annotations-pom.xml.patch

* Mon Jul 20 2009 Strong Liu <stliu@redhat.com>  - 0:3.4.0-1.2
- Change the source jars name to *-sources.jar
- Update copyrights to 2009
* Sun Jul 19 2009 Gail Badner <gbadner@redhat.com> - 0:3.4.0-1.1
- First release for RHEL-4-EP-5
